`lqr_carver_get_depth`
Prev | Carver objects | Next

## Name

lqr_carver_get_depth — get the depth of a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`gint lqr_carver_get_depth(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_get_depth` returns the current depth of the visibility map internal to the `LqrCarver` object pointed to by `vmap`, i.e. the maximum amount of scaling which can be performed with respect to the internal reference sizes in the current orientation without updating the internal map.

## See also

`lqr_carver_get_width`(3), `lqr_carver_get_height`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_get_channels`(3), `lqr_carver_get_col_depth`(3), `lqr_carver_set_enl_step`(3), `lqr_carver_resize`(3), `lqr_carver_get_enl_step`(3), `lqr_carver_get_orientation`(3), `lqr_vmap_get_depth`(3)

Prev | Up | Next
`lqr_carver_get_orientation` | Home | `lqr_carver_set_enl_step`